#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main( void )
{
	FILE *fin, *fout;
	int brojRedova = 0, brojStupaca = 0, red, stup, redStart, stupStart, brojKoraka;
	char **A, c;
	
	if( ( fin = fopen( "ulaz.3C.in", "rt" ) ) == NULL )
	{
		printf( "Greska kod otvaranja datoteke ulaz.in\n" );
		exit( 0 );
	}
	
	fscanf( fin, "%d%d\n", &redStart, &stupStart );
	while( fscanf( fin, "%c", &c ) == 1 )
	{
		if( brojRedova == 0 && c != '\n' ) ++brojStupaca;
		if( c == '\n' ) ++brojRedova;
	}
	
	A = (char **) malloc( brojRedova * sizeof( char * ) );
	for( red = 0; red < brojRedova; ++red )
	    A[red] = (char *) malloc( ( brojStupaca + 1 ) * sizeof( char ) );

	rewind( fin );
	fscanf( fin, "%d%d\n", &redStart, &stupStart );
	for( red = 0; red < brojRedova; ++red )
	    fscanf( fin, "%s", A[red] );

	red = redStart - 1; stup = stupStart - 1; brojKoraka = 0;
	while( red < brojRedova && stup < brojStupaca )
		if( A[red][stup] == '>' )
		    ++stup, ++brojKoraka;
		else if( A[red][stup] == 'V' )
		    ++red, ++brojKoraka;
	
	if( ( fout = fopen( "izlaz.in", "wt" ) ) == NULL )
	{
		printf( "Greska kod otvaranja datoteke ulaz.in\n" );
		exit( 0 );
	}
	
	fprintf( fout, "%d\n", brojKoraka );
	fclose( fin ); fclose( fout );

	for( red = 0; red < brojRedova; ++red )
	    free( A[red] );
	free( A );

	return 0;
}
