#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main( void )
{
	FILE *fin, *fout;
	int N, brojRedova = 0, brojStupaca = 0, red, stup;
	char **A, c;
	
	if( ( fin = fopen( "ulaz.3A.in", "rt" ) ) == NULL )
	{
		printf( "Greska kod otvaranja datoteke ulaz.in\n" );
		exit( 0 );
	}
	
	fscanf( fin, "%d\n", &N );
	while( fscanf( fin, "%c", &c ) == 1 )
	{
		if( brojRedova == 0 && c != '\n' ) ++brojStupaca;
		if( c == '\n' ) ++brojRedova;
	}
	
	A = (char **) malloc( brojRedova * sizeof( char * ) );
	for( red = 0; red < brojRedova; ++red )
	    A[red] = (char *) malloc( ( brojStupaca + 1 ) * sizeof( char ) );

	rewind( fin );
	fscanf( fin, "%d\n", &N );
	for( red = 0; red < brojRedova; ++red )
	    fscanf( fin, "%s", A[red] );

	red = stup = 0;
	while( red < brojRedova && stup < brojStupaca && A[red][stup] != '.' )
		if( A[red][stup] == 'X' )
		    stup += N;
		else if( A[red][stup] == 'Y' )
		    red += N;
	
	if( red >= brojRedova )
	    red -= N;
	else if( stup >= brojStupaca )
	    stup -= N;

	if( ( fout = fopen( "izlaz.in", "wt" ) ) == NULL )
	{
		printf( "Greska kod otvaranja datoteke ulaz.in\n" );
		exit( 0 );
	}
	
	fprintf( fout, "(%d, %d)\n", red + 1, stup + 1 );
	fclose( fin ); fclose( fout );
	
	for( red = 0; red < brojRedova; ++red )
	    free( A[red] );
	free( A );

	return 0;
}
