#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main( void )
{
	FILE *fin, *fout;
	int brojRedova = 0, brojStupaca = 0, red, stup, smjerRed, smjerStup;
	int brojNemicanja = 0;
	char **A, c;
	
	if( ( fin = fopen( "ulaz.3B.in", "rt" ) ) == NULL )
	{
		printf( "Greska kod otvaranja datoteke ulaz.in\n" );
		exit( 0 );
	}
	
	while( fscanf( fin, "%c", &c ) == 1 )
	{
		if( brojRedova == 0 && c != '\n' ) ++brojStupaca;
		if( c == '\n' ) ++brojRedova;
	}
	
	A = (char **) malloc( brojRedova * sizeof( char * ) );
	for( red = 0; red < brojRedova; ++red )
	    A[red] = (char *) malloc( ( brojStupaca + 1 ) * sizeof( char ) );

	rewind( fin );
	for( red = 0; red < brojRedova; ++red )
	    fscanf( fin, "%s", A[red] );

	red = stup = 0; smjerRed = 0; smjerStup = 1;
	while( red + smjerRed < brojRedova && stup + smjerStup < brojStupaca && brojNemicanja < 2 )
		if( A[red + smjerRed][stup + smjerStup] == 'X' )
		    smjerRed = !smjerRed, smjerStup = !smjerStup, ++brojNemicanja;
		else
		    red += smjerRed, stup += smjerStup, brojNemicanja = 0;

	if( ( fout = fopen( "izlaz.in", "wt" ) ) == NULL )
	{
		printf( "Greska kod otvaranja datoteke ulaz.in\n" );
		exit( 0 );
	}
	
	fprintf( fout, "(%d, %d)\n", red + 1, stup + 1 );
	fclose( fin ); fclose( fout );

	for( red = 0; red < brojRedova; ++red )
	    free( A[red] );
	free( A );

	return 0;
}
